Results 1 to 5 of 5

Thread: Looking for someone that is a master on OpenSuse 15.1

  1. #1
    Join Date
    Oct 2008
    Location
    Central Texas, in the sticks
    Posts
    148

    Default Looking for someone that is a master on OpenSuse 15.1

    I have a new program running but saying it needs Oracle JRE 8 - update 11 or later.
    I have downloaded JRE-8u211-Linux-x64.rpm.

    Frankly, the instructions are confusing even for me, usually I can figure it out.

    https://susepaste.org/23674688

    These are the instructions above

    If we can do a "remote session", that can help me figure out or basically show me the proper steps to remove and install this on my machine. I would be eternally grateful.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,825
    Blog Entries
    15

    Default Re: Looking for someone that is a master on OpenSuse 15.1

    Quote Originally Posted by cherock1254 View Post
    I have a new program running but saying it needs Oracle JRE 8 - update 11 or later.
    I have downloaded JRE-8u211-Linux-x64.rpm.

    Frankly, the instructions are confusing even for me, usually I can figure it out.

    https://susepaste.org/23674688

    These are the instructions above

    If we can do a "remote session", that can help me figure out or basically show me the proper steps to remove and install this on my machine. I would be eternally grateful.
    Hi
    So the versions supplied with openSUSE Leap 15.1 don't work (8, 10 and 11)?

    Code:
    zypper se openjdk
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,278
    Blog Entries
    2

    Default Re: Looking for someone that is a master on OpenSuse 15.1

    The following over the years has been the authoritative document describing how to install Oracle Java on openSUSE

    https://en.opensuse.org/SDB:Installing_Java

    Looking at the document history,
    It doesn't look like significant changes have been made since last year,
    The last time I personally reviewed it (nearly a year and a half ago), it was impression that the instructions on the Oracle Java website were sufficient to work... so the above SDB wasn't even all that necessary.

    But,
    Oracle has a habit of changing how its release works from time to time...
    Recommend you try following the SDB and if you have any issues or questions you can't work out, post.

    You'll notice that the SDB is written by someone not that familiar with openSUSE and as written you'll be executing sudo plenty of times instead of simply executing the commands in an elevated console.

    Some highlights from memory...
    You'll need to decide whether to install the JRE or JDK, I've found that the JRE isn't usually sufficient because the openJDK equivalent is usually enough to run anything. The JDK may be needed because the extended functions from Oracle are more often a bit different than what you'll find in openjdk-devel.

    As usual, you can install either an RPM or a TAR. The RPM has been easier to install.
    Until very recently (by release, not date), the Oracle install replaced whatever Java was on the system, recent releases support side by side installs using alternatives.

    If any of the above is unclear,
    Best if you ask beforehand... particularly if you don't actually know whether you need to install Oracle Jave.
    Most common use of Java is supported by openjdk from your openSUSE repo.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  4. #4
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,054

    Default Re: Looking for someone that is a master on OpenSuse 15.1

    Line 38 from your pasted instructions is the key instruction - run that command as root, and it'll install Oracle's Java for you.
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,555

    Question Re: Looking for someone that is a master on OpenSuse 15.1

    @cherock1254:

    Are you absolutely certain that, the application absolutely needs Oracle's Java?
    • There's not that much Java around which doesn't execute correctly on OpenJDK.
    • There is a Catch-22: the change from Java 8 to Java 9 and later and, the equivalent OpenJDK versions …

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •